The agent kinds the wizard offers
curl --request GET \
--url https://api.tryfuse.ai/api/v1/business/agents/signal-types \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.tryfuse.ai/api/v1/business/agents/signal-types"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.tryfuse.ai/api/v1/business/agents/signal-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signalTypes": [
{
"type": "web-monitor",
"title": "Website monitor",
"category": "signal"
},
{
"type": "person-starting-new-job",
"title": "Person starting a new job",
"category": "signal"
},
{
"type": "linkedin-posts",
"title": "LinkedIn posts by topic",
"category": "signal"
},
{
"type": "person-discovery-via-filters",
"title": "Person discovery via filters",
"category": "signal"
},
{
"type": "job-postings",
"title": "Job postings by company",
"category": "signal"
},
{
"type": "job-posting-in-location",
"title": "Job postings in a location",
"category": "signal"
},
{
"type": "first-person-hired-in-company-department",
"title": "First hire in a department",
"category": "signal"
},
{
"type": "first-person-hired-internationally",
"title": "First international hire",
"category": "signal"
},
{
"type": "company-headcount-growth",
"title": "Company headcount growth",
"category": "signal"
},
{
"type": "company-headcount-growth-over-baseline",
"title": "Headcount growth over baseline",
"category": "signal"
},
{
"type": "company-department-headcount",
"title": "Department headcount",
"category": "signal"
},
{
"type": "company-employee-job-location-in-two-countries",
"title": "Employees across two countries",
"category": "signal"
},
{
"type": "funding-announcements",
"title": "Funding announcements",
"category": "signal"
},
{
"type": "people-watcher",
"title": "People watcher (from a list)",
"category": "watcher"
},
{
"type": "companies-watcher",
"title": "Companies watcher (from a list)",
"category": "watcher"
},
{
"type": "job-changes-watcher",
"title": "Job-changes watcher (from a list)",
"category": "watcher"
},
{
"type": "linkedin-profile",
"title": "LinkedIn profile scrape",
"category": "scrape"
},
{
"type": "linkedin-post",
"title": "LinkedIn post scrape",
"category": "scrape"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Agents
The agent kinds the wizard offers
The 18 agent kinds this API can create, grouped by category: signal (13 market monitors watching job changes, LinkedIn posts, job postings, headcount, funding or the open web), watcher (3 kinds that watch the people or companies of one of your EXISTING lists) and scrape (2 one-shot LinkedIn engagement scrapes). type is the slug to POST to /business/agents/{type}; that operation’s request body is the kind’s own config. Static catalogue — it reads no account data and never changes between calls. Counts against the agents rate-limit bucket (30/min, 2,000/day).
Errors:
429RATE_LIMITED— The agents bucket is exhausted: 30 requests per minute or 2,000 per day per token owner, shared by every /business/agents operation (a 429 raised by the agents service is relayed with this code too). Retry after theRetry-Afterheader.500UNEXPECTED_ERROR— The agents service failed (5xx, refused service credential, or a timeout after 60s) or the rate limiter was unavailable. Retry later; quoterequest_idto support.
Requires one of the following token scopes: agents.
GET
/
business
/
agents
/
signal-types
The agent kinds the wizard offers
curl --request GET \
--url https://api.tryfuse.ai/api/v1/business/agents/signal-types \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.tryfuse.ai/api/v1/business/agents/signal-types"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.tryfuse.ai/api/v1/business/agents/signal-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signalTypes": [
{
"type": "web-monitor",
"title": "Website monitor",
"category": "signal"
},
{
"type": "person-starting-new-job",
"title": "Person starting a new job",
"category": "signal"
},
{
"type": "linkedin-posts",
"title": "LinkedIn posts by topic",
"category": "signal"
},
{
"type": "person-discovery-via-filters",
"title": "Person discovery via filters",
"category": "signal"
},
{
"type": "job-postings",
"title": "Job postings by company",
"category": "signal"
},
{
"type": "job-posting-in-location",
"title": "Job postings in a location",
"category": "signal"
},
{
"type": "first-person-hired-in-company-department",
"title": "First hire in a department",
"category": "signal"
},
{
"type": "first-person-hired-internationally",
"title": "First international hire",
"category": "signal"
},
{
"type": "company-headcount-growth",
"title": "Company headcount growth",
"category": "signal"
},
{
"type": "company-headcount-growth-over-baseline",
"title": "Headcount growth over baseline",
"category": "signal"
},
{
"type": "company-department-headcount",
"title": "Department headcount",
"category": "signal"
},
{
"type": "company-employee-job-location-in-two-countries",
"title": "Employees across two countries",
"category": "signal"
},
{
"type": "funding-announcements",
"title": "Funding announcements",
"category": "signal"
},
{
"type": "people-watcher",
"title": "People watcher (from a list)",
"category": "watcher"
},
{
"type": "companies-watcher",
"title": "Companies watcher (from a list)",
"category": "watcher"
},
{
"type": "job-changes-watcher",
"title": "Job-changes watcher (from a list)",
"category": "watcher"
},
{
"type": "linkedin-profile",
"title": "LinkedIn profile scrape",
"category": "scrape"
},
{
"type": "linkedin-post",
"title": "LinkedIn post scrape",
"category": "scrape"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}